<?php

/*
*	Global Parameter and functions
*
* 	@version	1.0
* 	@author		Euthemians Team
* 	@URI		http://euthemians.com
*/

$engic_eutf_social_list = array(
	'twitter' => 'Twitter',
	'facebook' => 'Facebook',
	'instagram' => 'Instagram',
	'linkedin' => 'LinkedIn',
	'tumblr' => 'Tumblr',
	'pinterest' => 'Pinterest',
	'github' => 'Github',
	'dribbble' => 'Dribbble',
	'reddit' => 'reddit',
	'flickr' => 'Flickr',
	'skype' => 'Skype',
	'youtube' => 'YouTube',
	'vimeo' => 'Vimeo',
	'soundcloud' => 'SoundCloud',
	'wechat' => 'WeChat',
	'weibo' => 'Weibo',
	'renren' => 'Renren',
	'qq' => 'QQ',
	'xing' => 'XING',
	'rss' => 'RSS',
	'vk' => 'VK',
	'behance' => 'Behance',
	'foursquare' => 'Foursquare',
	'steam' => 'Steam',
	'twitch' => 'Twitch',
	'houzz' => 'Houzz',
	'yelp' => 'Yelp',
	'snapchat' => 'Snapchat',
	'medium' => 'Medium',
	'spotify' => 'Spotify',
	'whatsapp' => 'WhatsApp',
	'500px' => '500px',
	'telegram' => 'Telegram',
	'mixcloud' => 'Mixcloud',
	'discord' => 'Discord',
	'tiktok' => 'TikTok',
	'patreon' => 'Patreon',
	'mastodon' => 'Mastodon',
);

$engic_eutf_social_list_extended = array (
	'twitter' => array(
		'title' => 'Twitter',
		'url' => 'twitter_url',
		'id' => 'twitter',
		'class' => 'fab fa-x-twitter',
	),
	'facebook' => array(
		'title' => 'Facebook',
		'url' => 'facebook_url',
		'id' => 'facebook',
		'class' => 'fab fa-facebook-f',
	),
	'instagram' => array(
		'title' => 'Instagram',
		'url' => 'instagram_url',
		'id' => 'instagram',
		'class' => 'fab fa-instagram',
	),
	'linkedin' => array(
		'title' => 'LinkedIn',
		'url' => 'linkedin_url',
		'id' => 'linkedin',
		'class' => 'fab fa-linkedin-in',
	),
	'tumblr' => array(
		'title' => 'Tumblr',
		'url' => 'tumblr_url',
		'id' => 'tumblr',
		'class' => 'fab fa-tumblr',
	),
	'pinterest' => array(
		'title' => 'Pinterest',
		'url' => 'pinterest_url',
		'id' => 'pinterest',
		'class' => 'fab fa-pinterest',
	),
	'github' => array(
		'title' => 'GitHub',
		'url' => 'github_url',
		'id' => 'github',
		'class' => 'fab fa-github',
	),
	'dribbble' => array(
		'title' => 'Dribbble',
		'url' => 'dribbble_url',
		'id' => 'dribbble',
		'class' => 'fab fa-dribbble',
	),
	'reddit' => array(
		'title' => 'reddit',
		'url' => 'reddit_url',
		'id' => 'reddit',
		'class' => 'fab fa-reddit',
	),
	'flickr' => array(
		'title' => 'Flickr',
		'url' => 'flickr_url',
		'id' => 'flickr',
		'class' => 'fab fa-flickr',
	),
	'skype' => array(
		'title' => 'Skype',
		'url' => 'skype_url',
		'id' => 'skype',
		'class' => 'fab fa-skype',
	),
	'youtube' => array(
		'title' => 'YouTube',
		'url' => 'youtube_url',
		'id' => 'youtube',
		'class' => 'fab fa-youtube',
	),
	'vimeo' => array(
		'title' => 'Vimeo',
		'url' => 'vimeo_url',
		'id' => 'vimeo',
		'class' => 'fab fa-vimeo',
	),
	'soundcloud' => array(
		'title' => 'SoundCloud',
		'url' => 'soundcloud_url',
		'id' => 'soundcloud',
		'class' => 'fab fa-soundcloud',
	),
	'wechat' => array(
		'title' => 'WeChat',
		'url' => 'wechat_url',
		'id' => 'wechat',
		'class' => 'fab fa-weixin',
	),
	'weibo' => array(
		'title' => 'Weibo',
		'url' => 'weibo_url',
		'id' => 'weibo',
		'class' => 'fab fa-weibo',
	),
	'renren' => array(
		'title' => 'Renren',
		'url' => 'renren_url',
		'id' => 'renren',
		'class' => 'fab fa-renren',
	),
	'qq' => array(
		'title' => 'QQ',
		'url' => 'qq_url',
		'id' => 'qq',
		'class' => 'fab fa-qq',
	),
	'xing' => array(
		'title' => 'XING',
		'url' => 'xing_url',
		'id' => 'xing',
		'class' => 'fab fa-xing',
	),
	'rss' => array(
		'title' => 'RSS',
		'url' => 'rss_url',
		'id' => 'rss',
		'class' => 'fas fa-rss',
	),
	'vk' => array(
		'title' => 'VK',
		'url' => 'vk_url',
		'id' => 'vk',
		'class' => 'fab fa-vk',
	),
	'behance' => array(
		'title' => 'Behance',
		'url' => 'behance_url',
		'id' => 'behance',
		'class' => 'fab fa-behance',
	),
	'foursquare' => array(
		'title' => 'Foursquare',
		'url' => 'foursquare_url',
		'id' => 'foursquare',
		'class' => 'fab fa-foursquare',
	),
	'steam' => array(
		'title' => 'Steam',
		'url' => 'steam_url',
		'id' => 'steam',
		'class' => 'fab fa-steam',
	),
	'twitch' => array(
		'title' => 'Twitch',
		'url' => 'twitch_url',
		'id' => 'twitch',
		'class' => 'fab fa-twitch',
	),
	'houzz' => array(
		'title' => 'Houzz',
		'url' => 'houzz_url',
		'id' => 'houzz',
		'class' => 'fab fa-houzz',
	),
	'yelp' => array(
		'title' => 'Yelp',
		'url' => 'yelp_url',
		'id' => 'yelp',
		'class' => 'fab fa-yelp',
	),
	'snapchat' => array(
		'title' => 'Snapchat',
		'url' => 'snapchat_url',
		'id' => 'snapchat',
		'class' => 'fab fa-snapchat',
	),
	'medium' => array(
		'title' => 'Medium',
		'url' => 'medium_url',
		'id' => 'medium',
		'class' => 'fab fa-medium',
	),
	'spotify' => array(
		'title' => 'Spotify',
		'url' => 'spotify_url',
		'id' => 'spotify',
		'class' => 'fab fa-spotify',
	),
	'whatsapp' => array(
		'title' => 'WhatsApp',
		'url' => 'whatsapp_url',
		'id' => 'whatsapp',
		'class' => 'fab fa-whatsapp',
	),
	'500px' => array(
		'title' => '500px',
		'url' => '500px_url',
		'id' => '500px',
		'class' => 'fab fa-500px',
	),	
	'telegram' => array(
		'title' => 'Telegram',
		'url' => 'telegram_url',
		'id' => 'telegram',
		'class' => 'fab fa-telegram',
	),
	'mixcloud' => array(
		'title' => 'Mixcloud',
		'url' => 'mixcloud_url',
		'id' => 'mixcloud',
		'class' => 'fab fa-mixcloud',
	),
	'discord' => array(
		'title' => 'Discord',
		'url' => 'discord_url',
		'id' => 'discord',
		'class' => 'fab fa-discord',
	),
	'tiktok' => array(
		'title' => 'TikTok',
		'url' => 'tiktok_url',
		'id' => 'tiktok',
		'class' => 'fab fa-tiktok',
	),
	'patreon' => array(
		'title' => 'Patreon',
		'url' => 'patreon_url',
		'id' => 'patreon',
		'class' => 'fab fa-patreon',
	),
	'mastodon' => array(
		'title' => 'Mastodon',
		'url' => 'mastodon_url',
		'id' => 'mastodon',
		'class' => 'fab fa-mastodon',
	),
);

/**
 * Extract video ID from youtube url
 */
if ( ! function_exists( 'engic_eutf_extract_youtube_id' ) ) {
	function engic_eutf_extract_youtube_id( $url ) {
		$youtube_id = "";
		parse_str( parse_url( $url, PHP_URL_QUERY ), $vars );
		if ( ! isset( $vars['v'] ) ) {
			$youtube_id = '';
		}
		$youtube_id = $vars['v'];

		return apply_filters( 'engic_eutf_privacy_bg_youtube_id', $youtube_id );
	}
}

/**
 * Allow additional tags in post content
 */
if ( ! function_exists( 'engic_eutf_wp_kses_allowed_html' ) ) {
	function engic_eutf_wp_kses_allowed_html( $allowedposttags, $context ) {
		if ( is_array( $context ) ){
			return $allowedposttags;
		}
		if ( 'post' === $context ) {
			$allowedposttags['iframe'] = array(
				'src' => true,
				'srcdoc' => true,
				'name' => true,
				'sandbox' => true,
				'seamless' => true,
				'width' => true,
				'height' => true,
				'align' => true,
				'frameborder' => true,
				'scrolling' => true,
				'marginwidth' => true,
				'marginheight' => true,
				'allow' => true,
				'id' => true,
				'class' => true,
				'style' => true,
			);
		}
		return $allowedposttags;
	}
}
add_filter( 'wp_kses_allowed_html', 'engic_eutf_wp_kses_allowed_html', 10, 2 );

//Omit closing PHP tag to avoid accidental whitespace output errors.
