<?php
/**
 * Privacy Google Fonts Shortcode
 */

if( !function_exists( 'engic_ext_vce_privacy_gfonts_shortcode' ) ) {

	function engic_ext_vce_privacy_gfonts_shortcode( $atts, $content ) {

		$output = '';

		if( empty( $content ) ) {
			$content = "Click to enable/disable Google Fonts.";
		}

		if ( function_exists( 'engic_eutf_get_privacy_switch' ) ) {
			$output .= engic_eutf_get_privacy_switch ( 'eut-privacy-content-gfonts' , $content );
		}

		return $output;
	}
	add_shortcode( 'engic_privacy_gfonts', 'engic_ext_vce_privacy_gfonts_shortcode' );

}

//Omit closing PHP tag to avoid accidental whitespace output errors.
