<?php
/**
 * Privacy Google Maps Shortcode
 */

if( !function_exists( 'engic_ext_vce_privacy_gmaps_shortcode' ) ) {

	function engic_ext_vce_privacy_gmaps_shortcode( $atts, $content ) {

		$output = '';

		if( empty( $content ) ) {
			$content = "Click to enable/disable Google Maps.";
		}

		if ( function_exists( 'engic_eutf_get_privacy_switch' ) ) {
			$output .= engic_eutf_get_privacy_switch ( 'eut-privacy-content-gmaps' , $content );
		}

		return $output;
	}
	add_shortcode( 'engic_privacy_gmaps', 'engic_ext_vce_privacy_gmaps_shortcode' );

}

//Omit closing PHP tag to avoid accidental whitespace output errors.
