<?php
/**
 * Privacy Required Shortcode
 */

if( !function_exists( 'engic_ext_vce_privacy_required_shortcode' ) ) {

	function engic_ext_vce_privacy_required_shortcode( $atts, $content ) {

		$output = '';
		
		extract(
			shortcode_atts(
				array(
					'value' => 'required',
				),
				$atts
			)
		);		

		if( empty( $content ) ) {
			$content = "write your required title here";
		}

		if ( function_exists( 'engic_eutf_get_privacy_required' ) ) {
			$output .= engic_eutf_get_privacy_required ( $value , $content );
		}

		return $output;
	}
	add_shortcode( 'engic_privacy_required', 'engic_ext_vce_privacy_required_shortcode' );

}

//Omit closing PHP tag to avoid accidental whitespace output errors.
